# Uses of Class
org.apache.lucene.search.grouping.AllGroupHeadsCollector.GroupHead

- ## Uses of AllGroupHeadsCollector.GroupHead in org.apache.lucene.search.grouping

  Fields in org.apache.lucene.search.grouping with type parameters of type AllGroupHeadsCollector.GroupHead
  Modifier and Type
  Field
  Description
  `protected Map<T,AllGroupHeadsCollector.GroupHead<T>>`
  AllGroupHeadsCollector.`heads`
  Methods in org.apache.lucene.search.grouping that return AllGroupHeadsCollector.GroupHead
  Modifier and Type
  Method
  Description
  `protected abstract AllGroupHeadsCollector.GroupHead<T>`
  AllGroupHeadsCollector.`newGroupHead(int doc, T value, LeafReaderContext context, Scorable scorer)`
  Create a new GroupHead for the given group value, initialized with a doc, context and scorer
  Methods in org.apache.lucene.search.grouping that return types with arguments of type AllGroupHeadsCollector.GroupHead
  Modifier and Type
  Method
  Description
  `protected Collection<? extends AllGroupHeadsCollector.GroupHead<T>>`
  AllGroupHeadsCollector.`getCollectedGroupHeads()`
  Returns the collected group heads.